
google.load('visualization', '1', { packages: ['corechart'] });



//$(document).ready(function () {
document.addEventListener('DOMContentLoaded', function () {
    //Load Data Here
    var chartData = null;
    $.ajax({
        url: '/YearChart/GetAnnualMIData',
        type: 'GET',
        dataType: 'json',
        data: '',
        success: function (d) {
            chartData = d;
        },
        error: function () {
            alert('Error!');
        }
    }).done(function () {
        drawChart(chartData);
    });
    console.log(chartData)
});



function drawChart(d) {
    var chartData = d;
    var data = null;
    data = google.visualization.arrayToDataTable(chartData);

    console.log(data);

    var view = new google.visualization.DataView(data);
    view.setColumns([0, {
        type: 'number',
        label: data.getColumnLabel(0),
        calc: function () { return 0; }
    }, {
        type: 'number',
        label: data.getColumnLabel(1),
        calc: function () { return 0; }
    }, {
        type: 'number',
        label: data.getColumnLabel(2),
        calc: function () { return 0; }
    }, {
        type: 'number',
        label: data.getColumnLabel(3),
        calc: function () { return 0; }
    }]);

    console.log(view);

    var chart = new google.visualization.ColumnChart(document.getElementById('visualization'));

    var options = {
        title: 'Annual MI Report',
        legend: 'bottom',
        hAxis: {
            title: 'Year',
            format: '#'
        },
        vAxis: {
            minValue: 0,
            maxValue: 100,
            title: 'Major Incident Count'
        },
        chartArea: {
            left: 100, top: 50, width: '70%', height: '50%'
        },
        animation: {
            duration: 1000
        }
    };
    console.log(options);

    var runFirstTime = google.visualization.events.addListener(chart, 'ready', function () {
        google.visualization.events.removeListener(runFirstTime);

        chart.draw(data, options);
    });

    chart.draw(view, options);

}

